// @flow
import React from 'react';
import { renderSnapshot } from '../../../../../utils/tests';

import type { OptionProps } from './option.proptypes';
import { Option } from './index';

const DEFAULT_PROPS: OptionProps = {
  children: 'test',
  value: 2,
  disabled: false,
};

describe('Option', () => {
  describe('snapshot', () => {
    it('matches the previous snapshot', () => {
      const option = renderSnapshot(<Option {...DEFAULT_PROPS} />);
      expect(option).toMatchSnapshot();
    });
  });
});
